Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# gdk/window.hh File Reference

A GdkWindow C++ wrapper interface. More...

`#include <xfc/stackobject.hh>`
`#include <xfc/gdk/drawable.hh>`
`#include <xfc/gdk/events.hh>`
`#include <xfc/gdk/inline/window.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gdk

## Classes

- class Xfc::Gdk::Geometry
    A GdkGeometry C++ wrapper class. More...
- class Xfc::Gdk::WindowAttr
    A GdkWindowAttr C++ wrapper class. More...
- class Xfc::Gdk::Window
    A GdkWindow C++ wrapper class. More...

## Window Methods

- Window * get_default_root_window ()
    Obtains the root window (parent all other windows are inside) for the default display and screen.

## Typedefs

- typedef unsigned int WMDecorationField
    WMDecorationField holds one or more values from the Gdk::WMDecoration enumeration OR'd together.
- typedef unsigned int WMFunctionField
    WMFunctionField holds one or more values from the Gdk::WMFunction enumeration OR'd together.

## Enumerations

- enum WindowType {
  WINDOW_ROOT = GDK_WINDOW_ROOT,
  WINDOW_TOPLEVEL = GDK_WINDOW_TOPLEVEL,
  WINDOW_CHILD = GDK_WINDOW_CHILD,
  WINDOW_DIALOG = GDK_WINDOW_DIALOG,
  WINDOW_TEMP = GDK_WINDOW_TEMP,
  WINDOW_FOREIGN = GDK_WINDOW_FOREIGN
  }
    Describes the kind of window. More...
- enum WMDecoration {
  DECOR_ALL = GDK_DECOR_ALL,
  DECOR_BORDER = GDK_DECOR_BORDER,
  DECOR_RESIZEH = GDK_DECOR_RESIZEH,
  DECOR_TITLE = GDK_DECOR_TITLE,
  DECOR_MENU = GDK_DECOR_MENU,
  DECOR_MINIMIZE = GDK_DECOR_MINIMIZE,
  DECOR_MAXIMIZE = GDK_DECOR_MAXIMIZE
  }
    Specifies hints the window manager can use when determining how to decorate a window. More...
- enum WMFunction {
  FUNC_ALL = GDK_FUNC_ALL,
  FUNC_RESIZE = GDK_FUNC_RESIZE,
  FUNC_MOVE = GDK_FUNC_MOVE,
  FUNC_MINIMIZE = GDK_FUNC_MINIMIZE,
  FUNC_MAXMIZE = GDK_FUNC_MAXIMIZE,
  FUNC_CLOSE = GDK_FUNC_CLOSE
  }
    Specifies hints the window manager can use when determining the functions to offer for the window. More...

## Detailed Description

A GdkWindow C++ wrapper interface.

Provides Window, an object that represents onscreen display areas in the target window system.

## Enumeration Type Documentation

enum WindowType

Describes the kind of window.

Enumeration values:

  WINDOW_ROOT | The root window; this window has no parent, covers the entire screen, and is created by the window system.
  WINDOW_TOPLEVEL | Toplevel window (used to implement Gtk::Window).
  WINDOW_CHILD | Child window (used to implement e.g. Gtk::Button).
  WINDOW_DIALOG | Useless/deprecated compatibility type.
  WINDOW_TEMP | Override redirect temporary window (used to implement Gtk::Menu).
  WINDOW_FOREIGN | Foreign window.

enum WMDecoration

Specifies hints the window manager can use when determining how to decorate a window.

The hint must be set before mapping the window. These hints were originally defined by the Motif toolkit.

Enumeration values:

  DECOR_ALL | All decorations should be applied.
  DECOR_BORDER | A frame should be drawn around the window.
  DECOR_RESIZEH | The frame should have resize handles.
  DECOR_TITLE | A titlebar should be placed above the window.
  DECOR_MENU | A button for opening a menu should be included.
  DECOR_MINIMIZE | A minimize button should be included.
  DECOR_MAXIMIZE | A maximize button should be included.

enum WMFunction

Specifies hints the window manager can use when determining the functions to offer for the window.

The hint must be set before mapping the window. These hints were originally defined by the Motif toolkit.

Enumeration values:

  FUNC_ALL | All functions should be offered.
  FUNC_RESIZE | The window should be resizable.
  FUNC_MOVE | The window should be movable.
  FUNC_MINIMIZE | The window should be minimizable.
  FUNC_MAXMIZE | The window should be maximizable.
  FUNC_CLOSE | The window should be closable.

## Function Documentation

Window* get_default_root_window | ( |  | ) |

Obtains the root window (parent all other windows are inside) for the default display and screen.

Returns:
  The default root window.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3